if your app provides OAuth capabilities for authentication, the authentication identifiers must beDocumentation Index
Fetch the complete documentation index at: https://developers.fibery.com/llms.txt
Use this file to discover all available pages before exploring further.
oauth and oauth2 for OAuth v1 and OAuth v2, respectively. Only one authentication type per OAuth version is currently supported.
OAuth v1
POST /oauth1/v1/authorize
ThePOST /oauth1/v1/authorize endpoint performs obtaining request token and secret and generating of authorization url for OAuth version 1 accounts.
Included with the request is a single body parameter, callback_uri, which is the redirect URL that the user should be expected to be redirected to upon successful authentication with the third-party service. callback_uri includes query parameter state that MUST be preserved to be able to complete OAuth flow by Fibery.
Request body sample:
redirect_uri that the user should be forwarded to in order to complete setup, token and secret are granted request token and secret by third-party service. Replies are then POST’ed to /oauth1/v1/access_token endpoint.
The OAuth implementation requires the account identifier to be
oauth for OAuth version 1.If service provider has callback url whitelisting than https://oauth-svc.fibery.io?state=xxxxx has to be added to the whitelist.POST /oauth1/v1/access_token
ThePOST /oauth1/v1/access_token endpoint performs the final setup and validation of OAuth version 1 accounts. Information as received from the third party upon redirection to the previously posted callback_uri are sent to this endpoint, with other applicable account information, for final setup. The account is then validated and, if successful, the account is returned; if there is an error, it is to be raised appropriately.
The information that is sent to endpoint includes:
fields.access_token- request token granted during authorization stepfields.access_secret- request secret granted during authorization stepfields.callback_uri- callback uri that is used for user redirectionoauth_verifier- the verification code received upon accepting on third-party service consent screen.
Tip: You can include parameters with
refresh_token and expires_on and then on validate step proceed with access token refresh if it is expired or about to expire.OAuth v2
POST /oauth2/v1/authorize
ThePOST /oauth2/v1/authorize endpoint performs the initial setup for OAuth version 2 accounts using Authorization Code grant type by generating redirect_uri based on received parameters.
Request body includes following parameters:
callback_uri- is the redirect URL that the user should be expected to be redirected to upon successful authentication with the third-party servicestate- opaque value used by the client to maintain state between request and callback. This value should be included inredirect_urito be able to complete OAuth flow by Fibery.
redirect_uri that the user should be forwarded to in order to complete setup.Replies are then POST’ed to
/oauth2/v1/access_token endpoint.
The OAuth implementation requires the account identifier to be
oauth2 for OAuth version 2.If service provider has callback url whitelisting than https://oauth-svc.fibery.io has to be added to the whitelist.POST /oauth2/v1/access_token
ThePOST /oauth2/v1/access_token endpoint performs the final setup and validation of OAuth version 2 accounts. Information as received from the third party upon redirection to the previously posted callback_uri are sent to this endpoint, with other applicable account information, for final setup. The account is then validated and, if successful, the account is returned; if there is an error, it is to be raised appropriately.
The information that is sent to endpoint includes:
fields.callback_uri- callback uri that is used for user redirectioncode- the authorization code received from the authorization server during redirect oncallback_uri
Tip: You can include parameters with
refresh_token and expires_on and then on validate step proceed with access token refresh if it is expired or about to expire.